### Method

# Pango FontMap add_font_file

since: 1.56

#### Declaration [src]

    gboolean
    pango_font_map_add_font_file (
      PangoFontMap* fontmap,
      const char* filename,
      GError** error
    )

#### Description [src]

Loads a font file with one or more fonts into the `PangoFontMap`.

The added fonts will take precedence over preexisting fonts with the same name.

Available since: 1.56

#### Parameters

`filename`

  Type: `const char*`

  Path to the font file.

  The data is owned by the caller of the method.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

True if the font file is successfully loaded into the fontmap, false if an error occurred.